Bug 170598 - aio_write() does not work after calling of aio_read() on the socket
aio_write() does not work after calling of aio_read() on the socket
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-10-13 07:30 EDT by Elena Vengerova
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-08 22:34:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Test reproducing the problem (1.07 KB, text/plain)
2005-10-13 07:32 EDT, Elena Vengerova
no flags Details

  None (edit)
Description Elena Vengerova 2005-10-13 07:30:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
Calling of aio_read() before aio_write() on the socket leads to "in progress" state of both requests, whereas calling of aio_write() before aio_read() leads to successful completion of write request and "in progress" state of read request.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create pair of connected stream or datagram sockets.
2. Call aio_read() with correct buffer/length and none notification.
3. Call aio_write() with correct data/length and none notification.


Actual Results:  Data are not sent. aio_error() returns EINPROGRESS for both requests.

Expected Results:  Data should be sent, aio_error() should return 0 for write request and EINPROGRESS for read request.

Additional info:
Comment 1 Elena Vengerova 2005-10-13 07:32:27 EDT
Created attachment 119885 [details]
Test reproducing the problem
Comment 2 Ulrich Drepper 2005-11-08 22:34:34 EST
The aio_* functions operate on files, not sockets, pipes, or whatever else.  The
implementation works correctly for files.

Note You need to log in before you can comment on or make changes to this bug.